Bug 786359 - Review Request: PyMunin - Python Module for developing Munin Multigraph Monitoring Plugins
Summary: Review Request: PyMunin - Python Module for developing Munin Multigraph Monit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eric
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-01 08:05 UTC by Matthias Runge
Modified: 2012-02-28 17:30 UTC (History)
4 users (show)

Fixed In Version: PyMunin-0.9.4-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-28 10:08:55 UTC
eric: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2012-02-01 08:05:43 UTC
Spec URL: http://www.matthias-runge.de/fedora/PyMunin.spec
SRPM URL: http://www.matthias-runge.de/fedora/PyMunin-0.9.3-1.fc16.src.rpm
Description: 
Python Module for developing Munin Multigraph Monitoring Plugins.

Regular Munin Plugins employ one-plugin one-graph logic and require the
execution of a script for data retrieval for each graph. Multigraph plugins
permit retrieval of data for multiple graphs in one execution run
(one-plugin many-graphs), reducing the processing time and delay for the
fetch cycle significantly.

----

koji scratchbuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=3751154

----

[mrunge@mrungexp SPECS]$ rpmlint /home/mrunge/rpmbuild/SRPMS/PyMunin-0.9.3-1.fc16.src.rpm /home/mrunge/rpmbuild/RPMS/noarch/PyMunin-0.9.3-1.fc16.noarch.rpm ./PyMunin.spec 
PyMunin.src: W: spelling-error %description -l en_US Multigraph -> Multiracial
PyMunin.noarch: W: spelling-error %description -l en_US Multigraph -> Multiracial
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Comment 1 Matthias Runge 2012-02-01 12:27:10 UTC
I just saw: included plugin pymunin-fsstats requires a module named ESL, which is currently not available.

As a solution, I'd disable fsstats and leave it to upstream to fix this.

pymunin-netstats calls netstat with parameter -4, which is unknown to fedoras netstat, it looks like, this should be better -t. Reported upstream.

Comment 2 Matthias Runge 2012-02-02 09:23:12 UTC
fixed build

SRPM: http://www.matthias-runge.de/fedora/PyMunin-0.9.4-1.fc16.src.rpm
SPEC: http://www.matthias-runge.de/fedora/PyMunin.spec

Fix: netstats fixed by calling netstat -A inet instead of -4

fsstats: Upstream votes to keep it, as other plugins, e.g memcached don't work without additional software.

Comment 3 eric 2012-02-08 04:16:37 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[!]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint PyMunin-0.9.4-1.fc17.src.rpm

PyMunin.src: W: spelling-error %description -l en_US Multigraph -> Multiracial
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint PyMunin-0.9.4-1.fc17.noarch.rpm

PyMunin.noarch: W: spelling-error %description -l en_US Multigraph -> Multiracial
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/christensene/786359/PyMunin-0.9.4.tar.gz :
  MD5SUM this package     : a16be151aa3a144f203f37896c824f7a
  MD5SUM upstream package : a16be151aa3a144f203f37896c824f7a

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[-]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[!]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT

Just change %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --prefix=/usr
to %{__python} setup.py install -O1 --skip-build --root %{buildroot} --prefix=/usr

Generated by fedora-review 0.1.2
External plugins:

Comment 4 Matthias Runge 2012-02-08 07:47:19 UTC
Thank you for the review.

You're right, I adjusted inconsistent macro usage, see below.

[mrunge@mrungexp SPECS]$ diff -u PyMunin.spec.1 PyMunin.spec
--- PyMunin.spec.1	2012-02-08 08:40:33.060424490 +0100
+++ PyMunin.spec	2012-02-08 08:42:54.211424885 +0100
@@ -1,6 +1,6 @@
 Name:           PyMunin
 Version:        0.9.4
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Python Module for developing Munin Multigraph Monitoring Plugins
 
 License:        GPLv3+
@@ -38,7 +38,7 @@
 # create munin-plugindir
 %{__mkdir} -p %{buildroot}/%{_datarootdir}/munin/plugins
 
-%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --prefix=/usr
+%{__python} setup.py install -O1 --skip-build --root %{buildroot} --prefix=/usr
 
 # /usr/bin is created by setup.py. remove it, we don't need it. 
 rm -r %{buildroot}/%{_bindir}
@@ -49,6 +49,9 @@
 %{_datarootdir}/munin/plugins/*
 
 %changelog
+* Wed Feb 08 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.4-2
+- use macros consistently
+
 * Thu Feb 02 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.4-1
 - fix for netstat-call from upstream



Updated files are here
SRPM: http://www.matthias-runge.de/fedora/PyMunin-0.9.4-2.fc16.src.rpm
SPEC: http://www.matthias-runge.de/fedora/PyMunin.spec

Comment 5 eric 2012-02-09 01:38:55 UTC
Looks good to me now.

APPROVED

Comment 6 Matthias Runge 2012-02-09 07:37:55 UTC
Thanks!


New Package SCM Request
=======================
Package Name: PyMunin
Short Description: Python Module for developing Munin Multigraph Monitoring
Plugins
Owners: mrunge
Branches: f16 f17 el6

Comment 7 Gwyn Ciesla 2012-02-09 13:05:00 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2012-02-10 12:28:17 UTC
PyMunin-0.9.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/PyMunin-0.9.4-2.fc16

Comment 9 Fedora Update System 2012-02-10 12:36:30 UTC
PyMunin-0.9.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/PyMunin-0.9.4-2.el6

Comment 10 Fedora Update System 2012-02-10 18:35:44 UTC
PyMunin-0.9.4-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2012-02-28 10:08:55 UTC
PyMunin-0.9.4-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 12 Fedora Update System 2012-02-28 17:30:20 UTC
PyMunin-0.9.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.